Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010001 [DCSS] Patches tweak always 2015-10-08 23:58 2015-10-15 18:30
Reporter ebering View Status public  
Assigned To Medar
Priority normal Resolution done  
Status closed   Product Branch 0.17 ancient branch
Summary 0010001: Hyperactive ballistomyecetes should time out but they don't
Description Leaving them exploding forever causes message spam, and punishes the player by making items under their range inaccessible. (Ok so you can do this with deep water but you can un-do it with sunlight without angering Fedhas).

Patch makes them lose HD when they explode (like wandering shrooms when they punch), restoring previous behavior (they used to damage themselves when they exploded).
Additional Information
Tags No tags attached.
Attached Files ? file icon hyperactive.patch [^] (1,800 bytes) 2015-10-08 23:58 [Show Content]
? file icon hyperactive-01.patch [^] (1,674 bytes) 2015-10-09 00:02 [Show Content]
? file icon hyperactive-02.patch [^] (2,284 bytes) 2015-10-12 21:41 [Show Content]
? file icon hyperactive-03.patch [^] (2,419 bytes) 2015-10-13 18:03 [Show Content]

- Relationships

-  Notes
(0029583)
ebering (developer)
2015-10-09 00:03

Added a clean patch and not one with mprfs lying around.
(0029602)
ebering (developer)
2015-10-12 21:41

Calling suicide() directly was not the correct thing to do; calling self_destructs() is (ensures auto exclusion gets removed etc.).
(0029611)
Medar (developer)
2015-10-15 17:18

Patch is in as 0.17-a0-2089-g38a25a4. Thanks!

- Issue History
Date Modified Username Field Change
2015-10-08 23:58 ebering New Issue
2015-10-08 23:58 ebering File Added: hyperactive.patch
2015-10-09 00:02 ebering File Added: hyperactive-01.patch
2015-10-09 00:03 ebering Note Added: 0029583
2015-10-12 21:41 ebering File Added: hyperactive-02.patch
2015-10-12 21:41 ebering Note Added: 0029602
2015-10-13 18:03 ebering File Added: hyperactive-03.patch
2015-10-15 17:18 Medar Note Added: 0029611
2015-10-15 17:18 Medar Status new => resolved
2015-10-15 17:18 Medar Fixed in Branch => 0.17 development branch
2015-10-15 17:18 Medar Resolution open => done
2015-10-15 17:18 Medar Assigned To => Medar
2015-10-15 18:30 ebering Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker